Add support for Phusion Passenger RailsSpawnMethod smart
2011-07-27 13:45 - Anonymous

Status: Closed Start date: 2011-07-27
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce

Description

Since redmine (or ruby?) is very slow to start up, it would be nice to enhance this, when using Phusion Passenger.

Passenger has directive RailsSpawnMethod, which, when set to "smart", drastically speeds up startup time of a rails app. Sadly,
redmine cannot be used this way, since it is not compatible (?) with this startup type.

Specifically, it throws following error:

The application has exited during startup (i.e. during the evaluation of config/environment.rb). T
he error message can be found below. To solve this problem, please follow any instructions in the
error message.

Error message:

Missing the 118n 0.4.2 gem. Please "gem install -v=0.4.2 il8n°

Attachment contains full backtrace.

History

#1 - 2011-07-27 13:46 - Anonymous
- File Ruby_on_Rails_application_could_not_be_started.jpg added

#2 - 2011-08-02 18:51 - Thomas Lober

Redmine 1.1 runs fine here with "RailsSpawnMethod smart".

Did you already install the i18n gem as mentioned in the error message?

#3 - 2011-08-02 19:20 - Anonymous
Yes, | did that.

$ svn info

Path:

URL: http://redmine.rubyforge.org/svn/trunk
Repository Root: http://redmine.rubyforge.org/svn
Repository UUID: e93f8b46-1217-0410-a6f0-8£f06a7374b81
Revision: 6398

Node Kind: directory

Schedule: normal

Last Changed Author: tmaruyama

Last Changed Rev: 6398

Last Changed Date: 2011-08-02 16:24:10 +0300 (Tue, 02 Aug 2011)

$ sudo gem install -v=0.4.1 il8n

Successfully installed i18n-0.4.1

1 gem installed

Installing ri documentation for il8n-0.4.1...
Installing RDoc documentation for i18n-0.4.1...

$ sudo service apache2 restart
* Restarting web server apache2

. waiting ...done.

Result is the same: Missing the i18n 0.4.2 gem. Please “gem install -v=0.4.2 i18n"
#4 - 2011-08-02 21:13 - Rui Andrada
Hi,

Why did you not used the suggested command line with the right version: ‘gem install -v=0.4.2 i18n"?
| hope it help you

Kaspars Foigts wrote:

Yes, | did that.

(-]

Result is the same: Missing the i18n 0.4.2 gem. Please ‘gem install -v=0.4.2 i18n

#5 - 2011-08-03 07:38 - Anonymous

Still no success.

laacz@zuze:~$ sudo gem install -v=0.4.2 il8n
Successfully installed i18n-0.4.2

1 gem installed

Installing ri documentation for i18n-0.4.2...
Installing RDoc documentation for i118n-0.4.2...
laacz@zuze:~$ sudo service apache2 reload

* Reloading web server config apache2

...done.

laacz@zuze:~$

Missing the i18n 0.4.2 gem. Please "gem install -v=0.4.2 i18n’

#6 - 2011-08-04 23:22 - Jean-Baptiste Barth

Rails 118n loading has always been a bit messy, and I'm not sure you can have multiple versions of i18n at the same time in a gem environment (one
more reason to use something like RVM). Maybe you could check you have only one version of the i18n gem in your GEM_PATH (you can first have
a look at /var/lib/gems/1.8/gems if | read your output correctly).

#7 - 2011-08-05 10:25 - Thomas Léber
Do you use Ruby Enterprise? It comes with its own /usr/local/bin/gem.
So do the commands gem list and /usr/local/bin/gem list yield the same output?

#8 - 2011-08-05 11:04 - Anonymous

| don't use Ruby Enterprise. Did complete reinstall of related stuff. gems cleanup, installed debian's passenger with apt-get install
libapache2-mod-passenger. It asked for -v 0.4.2 i18n, then -v 2.3.11 rails, then reconfigured apache, still the same error (now it only prints it to
apaches' error_log).

Tried checking for 0.4.2 i18n gem from console:

laacz@zuze:~$ echo "require 'rubygems';gem 'il8n', '=0.4.2';"|ruby
laacz@zuze:~$

App works OK, if | comment out RailsSpawnMethod smart in mod_passenger config. Also, if | start app via webrick, it also works.

That's why | believe, it's problem with smart spawn method support...

#9 - 2016-03-21 07:17 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Cant reproduce

"RailsSpawnMethod smart" works fine for me with Redmine 3.2.0 and Passenger 5.

Files
